org.jboss.resteasy.annotations.security.doseta

## Annotation Type Verify

-     @Target(value={METHOD,ANNOTATION_TYPE})
      @Retention(value=RUNTIME)
      public @interface Verify

  Verification of input signature specified in a signature header.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `bodyHashRequired` If message body exists, are we required to check the hash of it?
    `String` | `identifierName` If there are multiple signature headers, use this attribute name to pick which signature to verify
    `String` | `identifierValue` What should be the value of identifierName()
    `boolean` | `ignoreExpiration` Expiration check based on expiration attribute will be done unless this flag is set to false.
    `After` | `stale` Do a stale check if a timestamp attribute is preset.

- - ### Element Detail

    - #### identifierName

          public abstract String identifierName

      If there are multiple signature headers, use this attribute name to pick which signature to verify
      Returns:
      Default:
        ""

    - #### identifierValue

          public abstract String identifierValue

      What should be the value of identifierName()
      Returns:
      Default:
        ""

    - #### ignoreExpiration

          public abstract boolean ignoreExpiration

      Expiration check based on expiration attribute will be done unless this flag is set to false.
      Returns:
      Default:
        false

    - #### bodyHashRequired

          public abstract boolean bodyHashRequired

      If message body exists, are we required to check the hash of it?
      Returns:
      Default:
        true

    - #### stale

          public abstract After stale

      Do a stale check if a timestamp attribute is preset.
      Returns:
      Default:
        @org.jboss.resteasy.annotations.security.doseta.After

Copyright © 2014. All Rights Reserved.